List Claims
curl --request GET \
--url https://harbor-parking.vercel.app/api/claimsimport requests
url = "https://harbor-parking.vercel.app/api/claims"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://harbor-parking.vercel.app/api/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claims": [
{
"id": "abc123de-e89b-12d3-a456-426614174003",
"availability_id": "789e0123-e89b-12d3-a456-426614174002",
"claimer_id": "456e7890-e89b-12d3-a456-426614174001",
"start_time": "2024-01-16T09:00:00Z",
"end_time": "2024-01-16T17:00:00Z",
"status": "active",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"total": 1
}
Claims
List Claims
Get claims with filtering options
GET
/
api
/
claims
List Claims
Overview
This endpoint retrieves a list of parking spot claims with optional filtering capabilities.Authentication
Query Parameters
string
Filter claims by claimer (user) ID
string
Filter claims by specific parking spot ID
string
Filter claims by status (active, completed, cancelled)
string
Filter claims starting from this date (ISO 8601)
string
Filter claims ending before this date (ISO 8601)
number
default:"50"
Maximum number of claims to return
number
default:"0"
Number of claims to skip for pagination
Response
array
required
Array of claim objects
Show Claim Object
Show Claim Object
string
required
Unique claim identifier (UUID)
string
required
ID of the claimed availability
string
required
ID of the user who made the claim
string
required
Claim start time (ISO 8601)
string
required
Claim end time (ISO 8601)
string
required
Claim status (active, completed, cancelled)
string
required
Claim creation timestamp (ISO 8601)
string
required
Claim last update timestamp (ISO 8601)
number
required
Total number of claims matching the filters
Example Request
curl -X GET "https://harbor-parking.vercel.app/api/claims?status=active&limit=10" \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json"
const response = await fetch('https://harbor-parking.vercel.app/api/claims?status=active&limit=10', {
method: 'GET',
headers: {
'Authorization': `Bearer ${yourJwtToken}`,
'Content-Type': 'application/json'
}
});
const claimsData = await response.json();
Example Response
{
"claims": [
{
"id": "abc123de-e89b-12d3-a456-426614174003",
"availability_id": "789e0123-e89b-12d3-a456-426614174002",
"claimer_id": "456e7890-e89b-12d3-a456-426614174001",
"start_time": "2024-01-16T09:00:00Z",
"end_time": "2024-01-16T17:00:00Z",
"status": "active",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"total": 1
}